Bug 3417 - lib/util_sock.c:read_data(525) read_data: read failure for 4 bytes to client
lib/util_sock.c:read_data(525) read_data: read failure for 4 bytes to client
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.21b
x86 Windows 98
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 06:20 UTC by Luis
Modified: 2006-04-26 08:53 UTC (History)
0 users

See Also:


Attachments
smb.conf image.jpg luis.log (153.08 KB, application/x-zip-compressed)
2006-01-26 07:49 UTC, Luis
no flags Details
image.jpg luis.log (156.85 KB, application/x-zip-compressed)
2006-01-27 09:21 UTC, Luis
no flags Details
luis.log samba 3.0.21b (20.30 KB, application/x-zip-compressed)
2006-02-14 09:00 UTC, Luis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luis 2006-01-17 06:20:18 UTC
I HAVE PATCH FROM VOLKER DESDE BUG:   https://bugzilla.samba.org/show_bug.cgi?id=3354

My client is windows 98 SE, my server is linux Red Hat 7.2 kernel 2.4


My log:
[2006/01/16 08:17:02, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.5. Error = Connection reset by peer
[2006/01/16 08:17:02, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service produccion
[2006/01/16 08:17:02, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service rpunchin
[2006/01/16 08:17:02, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service vfp6
[2006/01/16 08:19:54, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service vfp6 initially as user rpunchin (uid=516, gid=500) (pid 28334)
[2006/01/16 08:20:06, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service rpunchin initially as user rpunchin (uid=516, gid=500) (pid 28334)
[2006/01/16 08:20:06, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service produccion initially as user rpunchin (uid=516, gid=500) (pid 28334)
[2006/01/16 09:31:45, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service produccion
[2006/01/16 09:31:45, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service rpunchin
[2006/01/16 09:31:45, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service vfp6
[2006/01/16 09:35:59, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service vfp6 initially as user rpunchin (uid=516, gid=500) (pid 28940)
[2006/01/16 09:36:10, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service rpunchin initially as user rpunchin (uid=516, gid=500) (pid 28940)
[2006/01/16 09:36:10, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service produccion initially as user rpunchin (uid=516, gid=500) (pid 28940)
[2006/01/16 09:39:20, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service produccion
[2006/01/16 09:39:20, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service rpunchin
[2006/01/16 09:39:20, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service vfp6
[2006/01/16 09:46:06, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service vfp6 initially as user rpunchin (uid=516, gid=500) (pid 29028)
[2006/01/16 09:46:17, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service rpunchin initially as user rpunchin (uid=516, gid=500) (pid 29028)
[2006/01/16 09:46:17, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service produccion initially as user rpunchin (uid=516, gid=500) (pid 29028)
[2006/01/16 15:48:03, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.5. Error = Connection reset by peer
[2006/01/16 15:48:03, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service produccion
[2006/01/16 15:48:03, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service rpunchin
[2006/01/16 15:48:03, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service vfp6
[2006/01/16 15:53:07, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service vfp6 initially as user rpunchin (uid=516, gid=500) (pid 31661)
[2006/01/16 15:53:19, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service rpunchin initially as user rpunchin (uid=516, gid=500) (pid 31661)
[2006/01/16 15:53:19, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service produccion initially as user rpunchin (uid=516, gid=500) (pid 31661)
[2006/01/16 16:33:18, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.5. Error = Connection reset by peer
[2006/01/16 16:33:18, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service produccion
[2006/01/16 16:33:18, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service rpunchin
[2006/01/16 16:33:18, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service vfp6
[2006/01/16 16:36:23, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service vfp6 initially as user rpunchin (uid=516, gid=500) (pid 15516)
[2006/01/16 16:36:33, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service rpunchin initially as user rpunchin (uid=516, gid=500) (pid 15516)
[2006/01/16 16:36:33, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service produccion initially as user rpunchin (uid=516, gid=500) (pid 15516)
[2006/01/16 16:37:22, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.5. Error = Connection reset by peer
[2006/01/16 16:37:22, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service produccion
[2006/01/16 16:37:22, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service rpunchin
[2006/01/16 16:37:22, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service vfp6
[2006/01/16 16:45:23, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service vfp6 initially as user rpunchin (uid=516, gid=500) (pid 18646)
[2006/01/16 16:45:32, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service rpunchin initially as user rpunchin (uid=516, gid=500) (pid 18646)
[2006/01/16 16:45:32, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service produccion initially as user rpunchin (uid=516, gid=500) (pid 18646)


Other log other pc:
[2006/01/12 08:13:50, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.20. Error = Connection reset by peer
[2006/01/12 08:13:50, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service produccion
[2006/01/12 08:13:50, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service mmaldonado
[2006/01/12 08:13:50, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service vfp6
[2006/01/12 08:31:24, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service vfp6 initially as user mmaldonado (uid=515, gid=500) (pid 27262)
[2006/01/12 08:31:30, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service mmaldonado initially as user mmaldonado (uid=515, gid=500) (pid 27262)
[2006/01/12 08:31:30, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service produccion initially as user mmaldonado (uid=515, gid=500) (pid 27262)
[2006/01/12 20:26:42, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service mmaldonado
[2006/01/12 20:26:42, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service produccion
[2006/01/12 20:26:42, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service vfp6
[2006/01/12 20:30:14, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service vfp6 initially as user mmaldonado (uid=515, gid=500) (pid 381)
[2006/01/12 20:30:23, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service mmaldonado initially as user mmaldonado (uid=515, gid=500) (pid 381)
[2006/01/12 20:30:23, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service produccion initially as user mmaldonado (uid=515, gid=500) (pid 381)
[2006/01/12 20:50:53, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.20. Error = No route to host
[2006/01/12 20:50:53, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service produccion
[2006/01/12 20:50:53, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service mmaldonado
[2006/01/12 20:50:53, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service vfp6
[2006/01/13 08:16:22, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service vfp6 initially as user mmaldonado (uid=515, gid=500) (pid 2803)
[2006/01/13 08:16:30, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service mmaldonado initially as user mmaldonado (uid=515, gid=500) (pid 2803)
[2006/01/13 08:16:30, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service produccion initially as user mmaldonado (uid=515, gid=500) (pid 2803)
[2006/01/13 08:34:46, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service produccion
[2006/01/13 08:34:46, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service mmaldonado
[2006/01/13 08:34:46, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service vfp6
[2006/01/13 08:39:10, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service vfp6 initially as user mmaldonado (uid=515, gid=500) (pid 2979)
[2006/01/13 08:39:17, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service mmaldonado initially as user mmaldonado (uid=515, gid=500) (pid 2979)
[2006/01/13 08:39:17, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service produccion initially as user mmaldonado (uid=515, gid=500) (pid 2979)
[2006/01/13 09:04:35, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.20. Error = Connection reset by peer
[2006/01/13 09:04:36, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service produccion
[2006/01/13 09:04:36, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service mmaldonado
[2006/01/13 09:04:36, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service vfp6
[2006/01/13 09:09:12, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service vfp6 initially as user mmaldonado (uid=515, gid=500) (pid 3434)
[2006/01/13 09:09:19, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service mmaldonado initially as user mmaldonado (uid=515, gid=500) (pid 3434)
[2006/01/13 09:09:19, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service produccion initially as user mmaldonado (uid=515, gid=500) (pid 3434)
[2006/01/13 19:07:53, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service produccion
[2006/01/13 19:07:53, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service mmaldonado
[2006/01/13 19:07:53, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service vfp6
[2006/01/13 19:14:13, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service vfp6 initially as user mmaldonado (uid=515, gid=500) (pid 7761)
[2006/01/13 19:14:23, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service mmaldonado initially as user mmaldonado (uid=515, gid=500) (pid 7761)
[2006/01/13 19:14:23, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service produccion initially as user mmaldonado (uid=515, gid=500) (pid 7761)
[2006/01/13 20:14:41, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.20. Error = No route to host
[2006/01/13 20:14:41, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service produccion
[2006/01/13 20:14:41, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service mmaldonado
[2006/01/13 20:14:41, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service vfp6
[2006/01/14 08:20:25, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service vfp6 initially as user mmaldonado (uid=515, gid=500) (pid 10049)
[2006/01/14 08:20:33, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service mmaldonado initially as user mmaldonado (uid=515, gid=500) (pid 10049)
[2006/01/14 08:20:33, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service produccion initially as user mmaldonado (uid=515, gid=500) (pid 10049)
[2006/01/14 08:31:48, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.20. Error = Connection reset by peer
[2006/01/14 08:31:49, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service produccion
[2006/01/14 08:31:49, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service mmaldonado
[2006/01/14 08:31:49, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service vfp6
[2006/01/14 08:35:56, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service vfp6 initially as user mmaldonado (uid=515, gid=500) (pid 10273)
[2006/01/14 08:36:02, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service mmaldonado initially as user mmaldonado (uid=515, gid=500) (pid 10273)
[2006/01/14 08:36:02, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service produccion initially as user mmaldonado (uid=515, gid=500) (pid 10273)
[2006/01/14 08:36:42, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.20. Error = Connection reset by peer
[2006/01/14 08:36:42, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service produccion
[2006/01/14 08:36:42, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service mmaldonado
[2006/01/14 08:36:42, 1] smbd/service.c:close_cnum(837)
  almacen1 (192.168.1.20) closed connection to service vfp6
[2006/01/14 08:41:37, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service vfp6 initially as user mmaldonado (uid=515, gid=500) (pid 10332)
[2006/01/14 08:41:45, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service mmaldonado initially as user mmaldonado (uid=515, gid=500) (pid 10332)
[2006/01/14 08:41:45, 1] smbd/service.c:make_connection_snum(666)
  almacen1 (192.168.1.20) connect to service produccion initially as user mmaldonado (uid=515, gid=500) (pid 10332)




Many messages in log:
[2006/01/16 16:33:18, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.5. Error = Connection reset by peer




I obtain this error type several times a day; I don't find a pattern so that it happens this error, it simply happens in any moment of the day. The files that I have are of a system that uses files. dbf, and the system is frozen by not being able to open those files.  
  
I have discarded that it is net problems for the following reasons:  
  
- I have changed net cards.  
- I have changed wired.  
- I have verified the switch.  
- I have made tests of another pc with windows 98 to open the system with the dbf and it doesn't pass that problem.  
  
Also when I copy files of the server samba, files soft visual foxpro, is sometimes frozen and it shows me the following message (This proves it copying the same files several times):  
  
The device or net resource is not available in these moments.  
  
And this it is the log:  
[2006/01/16 15:17:47, 0] lib/util_sock.c:write_data(553)
  write_data: write failure in writing to client 192.168.1.25. Error Connection reset by peer
[2006/01/16 15:17:47, 1] smbd/service.c:make_connection_snum(666)
  luis (192.168.1.25) connect to service vfp6 initially as user admin (uid=500, gid=500) (pid 31296)
[2006/01/16 15:17:47, 1] smbd/service.c:close_cnum(837)
  luis (192.168.1.25) closed connection to service vfp6


I have noticed that when the message appears in the samba log, the connection is disconnected toward the samba:  

[2006/01/15 09:16:07, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.25. Error = Connection reset by peer
[2006/01/15 09:16:07, 1] smbd/service.c:close_cnum(837)
  luis (192.168.1.25) closed connection to service web
[2006/01/15 09:16:07, 1] smbd/service.c:close_cnum(837)
  luis (192.168.1.25) closed connection to service temp
[2006/01/15 09:16:07, 1] smbd/service.c:close_cnum(837)
  luis (192.168.1.25) closed connection to service todos
[2006/01/15 09:16:07, 1] smbd/service.c:close_cnum(837)
  luis (192.168.1.25) closed connection to service desarrollo
[2006/01/15 09:16:07, 1] smbd/service.c:close_cnum(837)
  luis (192.168.1.25) closed connection to service produccion
[2006/01/15 09:16:07, 1] smbd/service.c:close_cnum(837)
  luis (192.168.1.25) closed connection to service admin
[2006/01/15 09:16:07, 1] smbd/service.c:close_cnum(837)
  luis (192.168.1.25) closed connection to service vfp6
Comment 1 Luis 2006-01-19 13:29:23 UTC
Other error more:

[2006/01/19 08:14:11, 1] smbd/service.c:make_connection_snum(666)
  facturacion1 (192.168.1.5) connect to service produccion initially as user rpu
nchin (uid=516, gid=500) (pid 8008)
[2006/01/19 14:45:20, 0] smbd/oplock.c:oplock_timeout_handler(364)
  Oplock break failed -- replying anyway
[2006/01/19 14:45:40, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.5. Error = Connection
reset by peer
[2006/01/19 14:45:40, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service produccion
[2006/01/19 14:45:40, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service rpunchin
[2006/01/19 14:45:40, 1] smbd/service.c:close_cnum(837)
  facturacion1 (192.168.1.5) closed connection to service vfp6
[2006/01/19 14:47:18, 1] smbd/service.c:make_connection_snum(666)  
Comment 2 Gerald (Jerry) Carter 2006-01-25 08:30:56 UTC
The client disconnected.  There are circumstances under which this 
is normal.  There's not enough information here to point at any
source level Samba bug.
Comment 3 Luis 2006-01-26 07:49:45 UTC
Created attachment 1709 [details]
smb.conf image.jpg luis.log
Comment 4 Luis 2006-01-26 08:08:34 UTC
The file attach:

smb.conf    :  my conf samba
image.jpg   :  image of error file copy
luis.log    :  log samba level 10 error file copy

line 986-987 of luis.log:
[2006/01/26 08:50:52, 3] smbd/oplock_linux.c:linux_set_kernel_oplock(158)
  linux_set_kernel_oplock: Refused oplock on file vfp8/msvcr70.dll, fd = 19, dev = 302, inode = 310595. (Resource temporarily unavailable)

The error is caused it seems in a problem of the oplock of the samba, that cannot lock the file appropriately.

And this makes the connection of the samba for the client to be closed by not being able to lock the file in line 1241-1242 of luis.log:

[2006/01/26 08:51:40, 0] lib/util_sock.c:read_data(525)
  read_data: read failure for 4 bytes to client 192.168.1.25. Error = Connection reset by peer


I try the error copying from (image.jpg):  g:\vfp8 \ *. * to c:\vfp several times, and aleatorily the error appears: El recurso de red o el dispositivo especificado ya no se encuentran disponible.   english: Resource temporarily unavailable.

Please I need to solve this problem because several times in the day I obtain the same error and the system that they run in the computers freezes continually for this problem.  
  
This problem seems to be that it is caused in the form in the one that the samba lock the files.  
  
Can you solve this problem changing some configuration in the smb.conf or some change in the sources of the samba?  
  
Thank you for the help that can offer me.... it is urgent: (  

My clients is: windows 98 se
My server samba is: read hat 7.2 kernel 2.4
Comment 5 Volker Lendecke 2006-01-26 08:12:02 UTC
An oplock bug was the reason to release 3.0.21a. Please retest against that.

Volker
Comment 6 Luis 2006-01-27 09:21:22 UTC
Created attachment 1711 [details]
image.jpg  luis.log
Comment 7 Luis 2006-01-27 09:22:06 UTC
I upgraded to the version 3.0.21a but the same problem appears, although the log has more information, I hope the log can help to correct the problem  
  
samba1.zip:  
  
image.jpg:   Image of the error  
luis.log:    samba log  
  
Line error 516-517:
[2006/01/27 10:13:41, 3] smbd/oplock_linux.c:linux_set_kernel_oplock(161)
  linux_set_kernel_oplock: Refused oplock on file vfp8/VFP8ESN.DLL, fd = 25, dev = 302, inode = 311260. (Resource temporarily unavailable)


Result error 2548-2549:

[2006/01/27 10:14:32, 0] lib/util_sock.c:write_data(554)
  write_data: write failure in writing to client 192.168.1.25. Error Connection reset by peer


I try error:  copy files (ctrl+c), paste (ctrl+v), paste (ctrl+v), paste (ctrl+v)

This error appeared this time in the third intent of copy files: copy, paste, paste, paste <-- error here


P.S.: I Continue thinking that the problem is the lock of files
Comment 8 Luis 2006-02-14 08:58:44 UTC
I update to 3.0.21b and continues the same problem, please is bug of samba? 

Lines log level 10 of luis.log:      5960-5961

[2006/02/14 09:21:39, 0] lib/util_sock.c:write_data(557)
  write_data: write failure in writing to client 192.168.1.25. Error Connection reset by peer

I only copy files several times:   copy -- paste -- paste -- paste -- error my pc hang

My clients is windows 98SE mi server is redhat 7.2 kernel 2.4  samba 3.0.21b

I need help please  :(

thanx

Luis Rivera A.
Lima-Peru
Comment 9 Luis 2006-02-14 09:00:00 UTC
Created attachment 1728 [details]
luis.log samba 3.0.21b
Comment 10 Luis 2006-02-15 18:06:21 UTC
http://www.copiservice.com.pe/123.zip

123.zip is my log of ethereal

192.168.1.25 is my client, win98SE
192.168.1.10 is my server samba, 3.0.20b

I copy paste paste paste and error

I expect that this serve to solve my problem

Thanx
Comment 11 Wilco Baan Hofman 2006-04-24 09:07:32 UTC
I can confirm this problem in 3.0.21c.

At a customer site I notice the same problem and lots of software on the clients fail for the second user (not the first). 

I could not (yet) determine the cause, but a downgrade to 3.0.14 fixed the problem. This site now runs on 3.0.14. I think I'm running into this problem at other sites as well, expect to have a network trace and debug level 10 log soon.

It failed with 3.0.21c, but because of no (or failing) group support in pdbsql I could not yet test the svn version on this site.. so that'll be my first priority.
Comment 12 Jeremy Allison 2006-04-24 09:13:57 UTC
The error message reported here is so generic as to be meaningless. The client disconnected. We don't know why. This commonly can mean that you have bad hardware (network hubs etc.).
Jeremy.
Comment 13 Wilco Baan Hofman 2006-04-25 10:10:28 UTC
For me, however, it is reproducable. So I'll come up with more info later on.. maybe file a new bug if I have more info.
Comment 14 Luis 2006-04-26 08:53:36 UTC
I have all days problem in log of users, in time ramdom, my switch is a new satra my net card is sis900, my problem is read (files .dbf) and write copying files from server samba to my pc, my clients is win98, all  pc's some problem. I send log ethereal for release of team samba.

Not send me answer about log ethereal.
h